(** * Preface *)

(** This volume of _Software Foundations_ introduces QuickChick, a
    property-based random testing tool for Coq. *)

(* ################################################################# *)
(** * Setup *)

(** For working with this material, you will need to install
    QuickChick. For this version, we are going to be using a
    QuickChick-2.0, which can be installed by simply running:

    [ opam install coq-quickchick ]

    The [QuickChickInterface] chapter serves as a reference
    manual for QuickChick.  The rest of the book explains its features
    more gently. *)

(* ################################################################# *)
(** * Practicalities *)
(* ================================================================= *)
(** ** Recommended Citation Format *)

(** If you want to refer to this volume in your own writing, please
    do so as follows:

    @book            {Lampropoulos:SF4,
    author       =   {Leonidas Lampropoulos and Benjamin C. Pierce},
    editor       =   {Benjamin C. Pierce},
    title        =   "QuickChick: Property-Based Testing in Coq",
    series       =   "Software Foundations",
    volume       =   "4",
    year         =   "2024",
    publisher    =   "Electronic textbook",
    note         =   {Version 1.3.3, \URL{http://softwarefoundations.cis.upenn.edu} },
    }
*)

(* ################################################################# *)
(** * Thanks *)

(** Development of the _Software Foundations_ series has been
    supported, in part, by the National Science Foundation under the
    NSF Expeditions grant 1521523, _The Science of Deep
    Specification_.  Work on this volume was also supported by NSF
    grant 1421243, _Random Testing for Language Design_. *)

(* 2024-11-04 20:44 *)
